%define	name	bitlbee
%define	version	0.92
%define	release	1mdk
%define	Summary	IRC proxy to connect to ICQ, AOL, MSN and Jabber
%define	bitlbid	_bitlbee

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Chat
URL:		http://bitlbee.org/
Source0:	http://get.bitlbee.org/src/%{name}-%{version}.tar.bz2
Source1:	%{name}-userguide.html.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildrequires:	glib-devel libsoup-devel >= 1.99.23
Prereq:		rpm-helper
Requires:	xinetd

%description
%{name} is a proxy which accepts connections from any irc-client
and allows you to communicate using following instant messaging
protocols.

 - ICQ
 - AIM
 - MSN
 - Jabber


%prep
%setup -q
%{__sed} -i 's/ROOT_NICK "root"/ROOT_NICK "bitlbee"/' bitlbee.h
bzcat %{SOURCE1} > userguide.html

%build
perl -pi -e "s#CFLAGS=-O3#CFLAGS=$RPM_OPT_FLAGS -O3#g" configure
./configure	--prefix=%{_prefix} \
		--etcdir=%{_sysconfdir}/%{name} \
		--config=%{_var}/%{name} \
		--libdir=%{_libdir}/%{name}

%make

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std} install-etc


%{__install} -d   %{buildroot}%{_var}/%{name}
%{__install} -d   %{buildroot}%{_sysconfdir}/xinetd.d/
%{__cat} << EOF > %{buildroot}%{_sysconfdir}/xinetd.d/%{name}
# default: on
# description: bitlbee IRC2IM-proxy.
service ircd
{
	disable			= no
	socket_type		= stream
	protocol		= tcp
	wait			= no
	user			= %{bitlbid}
	server			= %{_sbindir}/%{name}
	log_on_success		+= DURATION USERID HOST
	log_on_failure		+= USERID HOST ATTEMPT
	nice			= 10
	bind			= 127.0.0.1
}
EOF


%pre
%_pre_useradd %{bitlbid} %{_var}/%{name} /bin/true

%post
service xinetd condrestart
if ! pidof xinetd; then
   echo "Use the following command to start %{name}: /sbin/service xinetd start"
fi

%postun
%_postun_userdel %{bitlbid}
service xinetd condrestart

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0750,root,%{bitlbid},0755)
%{_sbindir}/%{name}
%defattr(0644,root,root,0755)
%doc COPYING userguide.html doc/AUTHORS doc/README doc/FAQ
%doc doc/CHANGES doc/CREDITS doc/TODO

%{_datadir}/%{name}/help.txt
%dir %{_datadir}/%{name}/
%{_mandir}/man?/*
%config(noreplace) %{_sysconfdir}/%{name}/motd.txt
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/xinetd.d/%{name}

%defattr(0600,%{bitlbid},%{bitlbid},0700)
%{_var}/%{name}


%changelog
* Thu Feb 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.92-1mdk
- 0.92

* Wed Feb 02 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.91-1mdk
- 0.91

* Wed Jun 30 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.90a-1mdk
- compile with $RPM_OPT_FLAGS
- cosmetics
- from Eskild Hustvedt <eskild@goldenfiles.com>:
	o New release 0.91b
		- Fixes Yahoo support

* Fri May 14 2004 Michael Scherer <misc@mandrake.org> 0.85-1mdk
- New release 0.85
- fix [DIRM]

* Sun Apr 18 2004 Michael Scherer <misc@mandrake.org> 0.84-1mdk
- New release 0.84
- add doc
- rpmbuildupdate aware

* Wed Dec 31 2003 Han Boetes <han@linux-mandrake.com> 0.83-1mdk
- bump.

* Sat Nov  1 2003 Han Boetes <han@linux-mandrake.com> 0.82-1mdk
- Initial release for Mandrake
